> ## Documentation Index
> Fetch the complete documentation index at: https://docs.snitcher.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Set a custom field value on an organisation



## OpenAPI

````yaml https://app.snitcher.com/api/docs?api-docs.json put /v1/workspaces/{workspaceUuid}/organisations/{organisationUuid}/custom-fields/{key}
openapi: 3.0.0
info:
  title: Snitcher API
  description: >-
    Discovering leads or discovering our API. This page is all you need to do
    both!
  contact:
    email: info@snitcher.com
  version: 1.0.0
servers:
  - url: https://api.snitcher.com
    description: Production API
security: []
tags:
  - name: Workspaces
    description: >-
      Endpoints for managing workspaces, users and tags available in the
      workspace
  - name: Organisations
    description: Endpoints for organisations
  - name: Contacts
    description: Endpoints for organisation contacts
  - name: Sessions
    description: Endpoints for sessions
  - name: Custom Fields
    description: Endpoints for managing custom field definitions
  - name: Custom Field Values
    description: Endpoints for managing custom field values on organisations
  - name: Segments
    description: Endpoints for segments
  - name: User
    description: Endpoints for authenticated user information
  - name: Zapier
    description: Endpoints for Zapier webhook integration
paths:
  /v1/workspaces/{workspaceUuid}/organisations/{organisationUuid}/custom-fields/{key}:
    put:
      tags:
        - Custom Field Values
      summary: Set a custom field value on an organisation
      operationId: aa97d2e8ecff4b324eeffa51f73a4734
      parameters:
        - name: workspaceUuid
          in: path
          description: The UUID of the workspace
          required: true
          schema:
            type: string
            format: uuid
            example: 550e8400-e29b-41d4-a716-446655440000
        - name: organisationUuid
          in: path
          description: The UUID of the organisation
          required: true
          schema:
            type: string
            format: uuid
            example: 550e8400-e29b-41d4-a716-446655440000
        - name: key
          in: path
          description: The key of the custom field
          required: true
          schema:
            type: string
            example: industry
      requestBody:
        required: true
        content:
          application/json:
            schema:
              required:
                - value
              properties:
                value:
                  description: The value to set for the field
                  example: Technology
              type: object
      responses:
        '200':
          description: The custom field value that was set
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomFieldValue'
        '404':
          description: The custom field does not exist
      security:
        - Snitcher bearer token: []
components:
  schemas:
    CustomFieldValue:
      title: Custom Field Value
      description: A custom field value set on an organisation
      properties:
        field_identifier:
          description: The identifier of the field
          type: string
          example: industry
        field_key:
          description: The machine-readable key of the field
          type: string
          example: industry
        field_type:
          description: The data type of the field
          type: string
          example: text
        value:
          description: The value of the field
          example: Technology
        source:
          description: The source of the value
          type: string
          example: manual
        updated_at:
          type: string
          format: date-time
          example: '2024-01-01T00:00:00Z'
          nullable: true
      type: object
  securitySchemes:
    Snitcher bearer token:
      type: http
      description: Enter your personal access token (PAT) to authenticate
      bearerFormat: JWT
      scheme: bearer

````